imports:
    # - { resource: parameters.yml }
    - { resource: security.yaml }
    # - { resource: services.yml }
    - { resource: "@oderaScenarioBundle/Resources/config/services.yml" }
    - { resource: "@oderaReferenceBundle/Resources/config/services.yml" }
    - { resource: "@UserBundle/Resources/config/services.yml" }
    - { resource: "@CoreBundle/Resources/config/services.yml" }
    - { resource: "@adminUserBundle/Resources/config/services.yml" }
    - { resource: "@adminCoreBundle/Resources/config/services.yml" }
    - { resource: "@adminReferenceBundle/Resources/config/services.yml" }

parameters:
    locale: fr
    mailer_name: Odera-Systeme

sensio_framework_extra:
    router: { annotations: true }  # permet d’utiliser @Route
    security: { annotations: true }                 # permet d’utiliser @Security
    request: true                  # permet d’utiliser @ParamConverter
    view: true                     # permet d’utiliser @Template
    cache: true
  
# Swiftmailer Configuration
# remplacement par symfony/mailer en symfony 4.4
# swiftmailer:
#     host: '%mailer_host%'
#     transport: '%mailer_transport%'
#     port: '%mailer_port%'
#     encryption: '%mailer_encryption%'
#     username: '%mailer_user%'
#     password: '%mailer_password%'
#     spool: { type: memory }

services:
    # Déclaration explicite du contrôleur
    admin\ReferenceBundle\Controller\AdventiceController:
        arguments:
            $logger: '@logger'                # Exemple d'injection
        tags: ['controller.service_arguments']